#include "controller.h"
#include "jinput.h"
#include "config.h"

namespace controller
{
    const bool down(const int which)
    {
        return input::keyDown(config::getKey(which)) || input::padBtnDown(config::getPadBtn(which));
    }

    const bool pressed(const int which)
    {
        return input::keyPressed(config::getKey(which)) || input::padBtnPressed(config::getPadBtn(which));
    }
}
